Bug 25346 - Only show warn about existing directory on installing translations when verbose is used
Summary: Only show warn about existing directory on installing translations when verbo...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Alex Arnaud
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-01 16:06 UTC by Katrin Fischer
Modified: 2020-11-30 21:51 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.01


Attachments
Bug 25346: Supress warning message when install dir exists (1.32 KB, patch)
2020-05-19 16:29 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 25346: Supress warning message when install dir exists (1.38 KB, patch)
2020-05-22 12:13 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25346: Supress warning message when install dir exists (1.43 KB, patch)
2020-06-05 12:13 UTC, Alex Arnaud
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-05-01 16:06:39 UTC
When installing a language that is already present on the system, this error is displayed:

Install messages (de_DE)
de-DE installer dir /home/vagrant/kohaclone/installer/data/mysql/de-DE already exists.
Delete it if you want to recreate it.

To test:
- kshell
- cd misc/translator
- perl translate install de-DE

and maybe a second time:

- perl translate install de-DE
Comment 1 Bernardo Gonzalez Kriegel 2020-05-19 16:29:07 UTC
Created attachment 105104 [details] [review]
Bug 25346: Supress warning message when install dir exists

To see it enable verbose mode

To test:
1) Install lang with install dir
   (cd misc/translator; ./tranlste install de-DE)
   check message: "de-DE installer dir /...mysql/de-DE already exists."
2) Apply patch
3) Repeat 1, now message is gone
4) Repeat 1 in verbose mode (./translate install de-DE -v)
   check the message now appears at the bottom.
Comment 2 Bernardo Gonzalez Kriegel 2020-05-19 16:31:02 UTC
(In reply to Katrin Fischer from comment #0)
> When installing a language that is already present on the system, this error
> is displayed:
> 
It's not an error but a warning, can be suppressed by this patch.
Comment 3 Katrin Fischer 2020-05-22 12:13:20 UTC
Created attachment 105264 [details] [review]
Bug 25346: Supress warning message when install dir exists

To see it enable verbose mode

To test:
1) Install lang with install dir
   (cd misc/translator; ./tranlste install de-DE)
   check message: "de-DE installer dir /...mysql/de-DE already exists."
2) Apply patch
3) Repeat 1, now message is gone
4) Repeat 1 in verbose mode (./translate install de-DE -v)
   check the message now appears at the bottom.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Alex Arnaud 2020-06-05 12:13:31 UTC
Created attachment 105578 [details] [review]
Bug 25346: Supress warning message when install dir exists

To see it enable verbose mode

To test:
1) Install lang with install dir
   (cd misc/translator; ./tranlste install de-DE)
   check message: "de-DE installer dir /...mysql/de-DE already exists."
2) Apply patch
3) Repeat 1, now message is gone
4) Repeat 1 in verbose mode (./translate install de-DE -v)
   check the message now appears at the bottom.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 5 Jonathan Druart 2020-06-15 09:59:36 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-06-17 23:21:55 UTC
backported to 20.05.x for 20.05.01
Comment 7 Aleisha Amohia 2020-06-22 04:36:05 UTC
doesn't apply cleanly, please rebase if needed on 19.11.x